Bug 9102 - /etc/rc.d/init.d/random does not start with #!/bin/sh
Summary: /etc/rc.d/init.d/random does not start with #!/bin/sh
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-03 19:10 UTC by Kolar, Petr
Modified: 2014-03-17 02:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-05 03:12:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kolar, Petr 2000-02-03 19:10:33 UTC
Running /etc/rc.d/init.d/random under *csh will cause errors.
Also some init.d scripts does not understand to parameter status.

Is /etc/rc.d/init.d good place for script single? - Consider

foreach file (/etc/rc.d/init.d/*)
  $file status
end

or something similar in sh...

Comment 1 Nalin Dahyabhai 2000-02-05 03:12:59 UTC
This will be fixed in initscripts-4.91 (or higher) in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.